body{
    margin: 0;
    padding: 0;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}
a{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    text-decoration: none;
    text-transform: uppercase;
    font-size: 36px;
    color: #262626;
    letter-spacing: 5px;
    border: 4px solid #262626;
    padding: 10px 20px;
    box-sizing: border-box;
    overflow: hidden;
}
a:before{
    content: attr(data-title);
    position: absolute;
    top: 100%;
    left: 0;
    background: #262626;
    color: #fff;
    padding: 10px 20px;
    box-sizing: border-box;
    transition: .3s;
}
a:after{
    content: attr(data-title);
    position: absolute;
    top: 0;
    left: 0;
    background: #fff;
    color: #262626;
    padding: 10px 20px;
    box-sizing: border-box;
    transition: .3s;
}
a:hover:before{
    top: 0;
}
a:hover:after{
    top:-100%;
}